## dose3 5.0

=== debian/changelog ===
dose3 (5.0-3~bpo8+1) jessie-backports; urgency=medium

  * backport to Debian Jessie

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 Jul 2016 12:01:39 +0200

dose3 (5.0-3) unstable; urgency=medium

  * d/rules: make build-indep depend on configure-stamp

 -- Ralf Treinen <treinen@debian.org>  Fri, 15 Jul 2016 22:55:36 +0200

dose3 (5.0-2) unstable; urgency=medium

  * patch distcheck-fg-bg: fix calculation of the list of packages to check
    by distcheck in case of both --bg and --fg arguments (closes: #830957).
  * patch getrealname: fix the function get_real_name to remove both a
    --virtual prefix and an :architecture suffix in case both are present.
    This fixes a crash during the generation of explanations observed by
    wanna-build.
  * added NEWS item for dose-distcheck and dose-builddebcheck
    about --latest now taking an integer argument.

 -- Ralf Treinen <treinen@debian.org>  Fri, 15 Jul 2016 19:08:14 +0200

dose3 (5.0-1~bpo8+1) jessie-backports; urgency=medium

  [ Johannes Schauer ]
  * backport to Debian Jessie

 -- Ralf Treinen <treinen@debian.org>  Wed, 29 Jun 2016 14:44:27 +0200

dose3 (5.0-1) unstable; urgency=medium

  * new upstream release

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Jun 2016 20:07:10 +0200

dose3 (5.0~rc2-1) experimental; urgency=medium

  * new upstream release:
    - refreshed patch binaries-prefix-edos
    - dropped patches integrated by upstream:
      0001-applications-apt-cudf.ml-Do-not-generate-removal-req.patch
      0001-fix-licence-header.patch
  * specify minimum version 1.1.2 for build-dependency "cppo", following
    upstream instructions.

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 Jun 2016 20:50:45 +0200

dose3 (4.3-3) experimental; urgency=medium

  * dose-doc: breaks older versions of apt-cudf, libdose3-ocaml-dev,
    dose-distcheck (closes: #826690).

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Jun 2016 04:49:39 +0200

dose3 (4.3-2) experimental; urgency=medium

  * New binary package dose-doc. Split debian/rules targets into -arch
    and -indep; split off Build-Depends-Indep from Build-Depends.
  * change doc-base section of the apt-cudf primer to System/Package Management
  * d/rules: simplify override for dh_auto_clean, create file debian/clean

 -- Ralf Treinen <treinen@debian.org>  Mon, 06 Jun 2016 19:46:11 +0200

dose3 (4.3-1) experimental; urgency=medium

  [ Ralf Treinen ]
  * New upstream version.
  * Drop patch lexing-debian-fields: applied upstream
  * Standards-Version 3.9.8 (no change)

  [ Johannes Schauer ]
  * Drop patch disable_dot because #809049 has been fixed. Restore build
    dependency on graphviz.
  * Add patch 0001-applications-apt-cudf.ml-Do-not-generate-removal-req from
    upstream git master to let apt-cudf not create a removal request for
    upgrades or downgrades but only a single install request. See the patch
    description as well as the closed bug for details (closes: #823906)
  * Refreshed patch binaries-prefix-edos
  * Clarify copyright situation of scripts/pack.ml in debian/copyright and
    patch the copyright header of scripts/pack.ml accordingly with a new patch
    called 0001-fix-licence-header.patch

 -- Johannes Schauer <josch@debian.org>  Fri, 13 May 2016 19:08:41 +0200

dose3 (4.2-2) unstable; urgency=medium

  * Dropped the Testsuite field in d/control, as it is no longer needed.
  * d/copyright:
    - updated filename versioning/debian.ml
    - removed duplicate paragraph for debian/update-cudf-solvers
  * Vcs-git: replaced insecure git: URI by https:
  * patch disable-dot: add Author and Description

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Apr 2016 22:04:33 +0200

dose3 (4.2-1) experimental; urgency=medium

  * New upstream version. This version fixes a bug in the manpage of
    dose-builddebcheck (closes: #811248)
    - refreshed patches:
      * binaries-prefix-edos
      * disable_dot
    - dropped patches integrated by upstream:
      * fix_ftbfs_on_bytecode_arch
      * fix_META
      * cudf_max_int
   * fixed patch add-gnuhardened1-linux, thanks to Balint Reczey
     (closes: #812786, again)
   * d/rules: upstream has renamed manpage buildcheck into deb-buildcheck
   * d/*.NEWS: say that format version of yaml output has been bumped
   * drop build-dependency on graphviz, since generation of dot files is
     deliberately disabled (by patch disable_dot).
   * Standards-Version 3.9.7 (no change)
   
 -- Ralf Treinen <treinen@debian.org>  Wed, 10 Feb 2016 08:50:18 +0100

dose3 (4.1~beta1-2) experimental; urgency=medium

  * add patch fix-doc-target-without-ocamlopt.patch to make dose3 build on
    architectures without ocamlopt

 -- Johannes Schauer <josch@debian.org>  Sat, 26 Dec 2015 16:29:13 +0100
