=== debian/changelog ===
dose3 (5.0.1-9build3) bionic; urgency=medium

  * No-change rebuild for librpm soname bump.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Nov 2017 15:15:39 +0100

dose3 (5.0.1-9build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:38:56 +0200

dose3 (5.0.1-9build1) artful; urgency=high

  * No change rebuild against new ocaml abis.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Aug 2017 02:11:25 +0100

dose3 (5.0.1-9) unstable; urgency=medium

  * patch virtual_provides: packages that provide the same virtual package
    in different versions, or that provide the same versioned virtual package
    as a real package, are co-installable (closes: #867104, #864906).
  * add a test-case for bug  #867104
  * dose-doc: set Multi-Arch=foreign
  * add build-dependency on ocamlbuild
  * standards-version 4.0.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 19 Jul 2017 10:19:10 +0200

dose3 (5.0.1-8) unstable; urgency=medium

  * Patches taken from upstream (thanks, Josch!)
    - architecture-tuples: replace architecture triples by tuples.
      (closes: #843409)
    - architectures-dpkg-1.18.15: Update embedded cputable and tupletable
      to dpkg 1.18.15
    - deb-drop-d-b-arch: add support for --deb-drop-b-d-arch (closes: #850943)

 -- Ralf Treinen <treinen@debian.org>  Tue, 17 Jan 2017 22:14:21 +0100

dose3 (5.0.1-7) unstable; urgency=medium

  * use pic options only on native architectures.

 -- Ralf Treinen <treinen@debian.org>  Thu, 03 Nov 2016 13:23:49 +0100

dose3 (5.0.1-6) unstable; urgency=medium

  * New patch ocaml-4.02.3+gcc-6.2.0 as provided by Josch: fix FTBFS. This
    patch should probably be removed when we transition to ocaml 4.03.

 -- Ralf Treinen <treinen@debian.org>  Thu, 27 Oct 2016 08:55:57 +0200

dose3 (5.0.1-4) unstable; urgency=medium

  * Revert the change introduced by 5.0.1-3, since it makes the
    autobuilders fail.

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Oct 2016 08:18:30 +0200

dose3 (5.0.1-3) unstable; urgency=medium

  * Added build-dependency "ocamlbuild|ocaml-nox(<<4.03)", in view of the
    transition to ocaml 4.03 which does no longer include ocamlbuild.

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Oct 2016 22:03:12 +0200

dose3 (5.0.1-2) unstable; urgency=medium

  [ Johannes Schauer ]
  * Backport more commits from upstream to fix remaining bugs considering
    - the handling of Essential:yes packages:
        0003-applications-distcheck.ml-Consider-essential-package.patch
        0007-applications-deb-buildcheck.ml-fix-regression-that-l.patch
        0008-Catch-expection-in-diagnostic.ml.patch
    - library bugs that affect packages using libdose3-dev:
        0004-doseparse-stdUtils.ml-It-s-d.byte-and-not-p.byte-for.patch
        0005-algo-depsolver.ml-reset-progress-bar-after-univcheck.patch
        0006-algo-depsolver.ml-set-correct-value-for-Util.Progres.patch

  [ Ralf Treinen ]
  * Patch input-xz-files: accept input from xz-compressed files.
    Add dependency on xz-utils.

 -- Ralf Treinen <treinen@debian.org>  Sun, 16 Oct 2016 19:36:29 +0200

dose3 (5.0.1-1) unstable; urgency=medium

  * new upstream release
  * remove patches distcheck-fg-bg and getrealname as they have been
    incorporated upstream
  * backport patches
    0001-check_request_using-can-return-discording-result-bet.patch and
    0002-tentative-fix-for-missing-essential-problem-apt-cudf.patch from
    upstream git to fix missing Essential:yes packages when invoking external
    solvers

 -- Johannes Schauer <josch@debian.org>  Thu, 08 Sep 2016 23:05:40 +0200
