=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: dose3
 Section: ocaml
 Priority: extra
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Johannes Schauer <josch@debian.org>
 Build-Depends: debhelper (>= 9), dh-ocaml (>= 0.9~), dh-autoreconf,
 # use the following line only when autoconf stuff has been patched:
 # automake, autoconf,
- ocaml-nox (>= 3.11.2), cppo (>= 0.9.3),
+ ocaml-nox (>= 3.11.2), cppo (>= 1.1.2),
+# drop ocamlbuild when backporting to ocaml << 4.02.3-10 
+ ocamlbuild,
  libre-ocaml-dev,
- libextlib-ocaml-dev (>= 1.6.1),
- libocamlgraph-ocaml-dev (>= 1.8.5),
+ libextlib-ocaml-dev (>= 1.7.0),
+ libocamlgraph-ocaml-dev (>= 1.8.6),
  libcudf-ocaml-dev (>= 0.7),
  libzip-ocaml-dev, libbz2-ocaml-dev, librpm-dev (>= 4.12),
  perl 
 Build-Depends-Indep: graphviz,
  hevea, texlive-latex-base, texlive-latex-extra
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.mancoosi.org/software/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/dose3.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/dose3.git
@@ -64,7 +67,7 @@
 Package: dose-distcheck
 Section: devel
 Architecture: any
-Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}, xz-utils
 Breaks: dose3-distcheck (<< 2.9.13)
 Replaces: dose3-distcheck (<< 2.9.13)
 Description: Checks whether dependencies of packages can be satisfied
@@ -78,7 +81,7 @@
 Package: dose-builddebcheck
 Section: devel
 Architecture: any
-Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}, xz-utils
 Breaks: dose3-builddebcheck (<< 2.9.13)
 Replaces: dose3-builddebcheck (<< 2.9.13)
 Description: Checks whether build-dependencies can be satisfied
@@ -93,7 +96,7 @@
 Provides: ceve
 Breaks: ceve (<< 2.9.10)
 Replaces: ceve (<< 2.9.10)
-Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}, xz-utils
 Description: Extra QA tools from the Dose3-library
  This package contains extra tools for analyzing meta-data of software 
  packages:
@@ -142,6 +145,7 @@
 Breaks: libdose3-ocaml-dev (<< 4.3-2),
 	  apt-cudf (<< 4.3-2),
 	  dose-distcheck (<< 4.3-2)
+Multi-Arch: foreign    
 Description: Documentation for dose tools and libraries.
  The dose suite provides libraries for handling package meta-data, and various
  tools for analyzing package relationships in a large package repository.
