=== debian/tests/control ===
Tests: dose-debcheck bug811569 bug790422 bug867104
Depends: dose-distcheck

Tests: dose-builddebcheck
Depends: dose-builddebcheck

Tests: dose-outdated
Depends: dose-extra
