=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/ \
https://gforge.inria.fr/frs/?group_id=4395 .*/dose3-(.*)\.tar\.gz
