=== debian/changelog ===
dose3 (6.0.1-2) unstable; urgency=medium

  * d/rules, d/control: split into arch/indep
  * debian/control: annotate with nodoc and nocheck
  * debian/control: fix version constraints

 -- Johannes 'josch' Schauer <josch@debian.org>  Tue, 02 Feb 2021 11:58:25 +0100

dose3 (6.0.1-1) unstable; urgency=medium

  * New upstream version
  * debian/watch: upstream moved to gitlab.com/irill/dose3
  * debian/rules:
     - buildsystem switched to dune
     - call dune build -p dose3 to avoid 'Error: Too many opam files
       for package'
     - add DEB_BUILD_MAINT_OPTIONS = hardening=+all
     - check DEB_BUILD_OPTIONS for nocheck before running tests
     - do not override_dh_dwz anymore
  * debian/control:
     - adjust build dependencies
     - add Rules-Requires-Root: no
     - bump Standards-Version to 4.5.1
     - bump dh compat to 13 and use debhelper-compat as B-D
     - drop libdose3-ocaml package as there are no shared runtime stubs anymore
  * debian/patches:
     - drop patches: everything is now upstream
     - add patch for ocamlgraph 1.8.6
     - pick two patches from upstream to fix FTBFS
     - add patch making dose3 tests succeed on 32 bit arches
  * fix paths in *.install and *.manpages and *.docs
  * debian/copyright: fix paths that were moved into src
  * debian/update-cudf-solvers: fix typo opearte -> operate
  * run wrap-and-sort

 -- Johannes 'josch' Schauer <josch@debian.org>  Mon, 01 Feb 2021 23:08:16 +0100

dose3 (5.0.1-16) unstable; urgency=medium

  * Team upload
  * Do not use -custom (Closes: #978024)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Jan 2021 16:21:12 +0100

dose3 (5.0.1-15) unstable; urgency=medium

  * add debian/salsa-ci.yml
  * debian/control: fix my name
  * add patch to handle m-a:same conflicts with virtual packages (closes: #964026)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 12 Jul 2020 11:02:29 +0200

dose3 (5.0.1-14) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Compile with -safe-string (Closes: #934347)

  [ Ralf Treinen ]
  * fix spelling error in the long description of dose-extra

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Aug 2019 17:07:27 +0200

dose3 (5.0.1-12) unstable; urgency=medium

  * Standards-Version 4.3.0 (no change)
  * Fix whitespace in debian/{changelog,control}
  * libdose3-ocaml-dev: Recommends ocaml-findlib

 -- Ralf Treinen <treinen@debian.org>  Fri, 26 Jul 2019 16:07:51 -0300

dose3 (5.0.1-11) unstable; urgency=medium

  * Team upload
  * Add a patch to build with ocaml-re 1.7.3 and constraint minimal
    required version for ocaml-re in d/control accordingly.
  * Update Vcs-* fields
  * Refresh patches

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 03 Jun 2018 11:14:38 +0200

dose3 (5.0.1-10) unstable; urgency=medium

  * Added a test case for dose-builddebcheck with versioned provides and
    a versioned build-dependency, taken from James Clarkes bug report
    #896084.
  * Patch 0009-Fix-and-constraints-against-virtual-packages.patch: fix
    cudf encoding of versioned and unversioned virtual packages. Thanks a
    lot to James Clarke for the patch! (closes: #896084)
  * Patch typo-plural: fix some occurrences of "does not exists"
    (closes:  #869846).
  * Refreshed patch deb-drop-b-d-arch
  * Standards-Version 4.1.4:
    - Changed Priority from extra to optional
    - d/copyright: https in format url

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Apr 2018 17:05:24 +0200
